import numpy as np
import sklearn
import pandas as pd

# Python program to print topological sorting of a DAG
from collections import defaultdict

def dataSplit(X,seednum):
    np.random.seed(seednum)
    print("Spliting on...")
    while 1:
        Train, Test = sklearn.model_selection.train_test_split(X,test_size=0.5)
        stopSwitch = True
        for colidx in X.columns[:-1]:
            if sorted( pd.unique( Train[colidx] ) ) != sorted( pd.unique( Test[colidx] ) ):
                stopSwitch = False
                break
        if stopSwitch:
            break
        else:
            continue
    print("Spliting done!")

    X_train = Train[X.columns[:-1]].copy()
    y_train = Train[X.columns[-1]].copy()

    X_test = Test[X.columns[:-1]].copy()
    y_test = Test[X.columns[-1]].copy()

    return X_train, y_train, X_test, y_test